Subject: remove Conscrypt
 Conscrypt is Android's TLS stack.  It is not packaged for Debian and
 is only needed for a specific feature that is rarely used.  Someone
 is welcome to package Conscrypt to get this working.

Forwarded: not-needed

Index: android-platform-tools-apksig/Android.bp
===================================================================
--- android-platform-tools-apksig.orig/Android.bp
+++ android-platform-tools-apksig/Android.bp
@@ -49,10 +49,7 @@ java_binary_host {
     java_resource_dirs: ["src/apksigner/java"],
     wrapper: "etc/apksigner",
     manifest: "src/apksigner/apksigner.mf",
-    static_libs: [
-        "apksig",
-        "conscrypt-unbundled",
-    ],
+    static_libs: ["apksig"],
     jni_libs: ["libconscrypt_openjdk_jni"],
     java_version: "1.8",
 }
Index: android-platform-tools-apksig/src/apksigner/java/com/android/apksigner/ApkSignerTool.java
===================================================================
--- android-platform-tools-apksig.orig/src/apksigner/java/com/android/apksigner/ApkSignerTool.java
+++ android-platform-tools-apksig/src/apksigner/java/com/android/apksigner/ApkSignerTool.java
@@ -25,8 +25,6 @@ import com.android.apksig.apk.MinSdkVers
 import com.android.apksig.util.DataSource;
 import com.android.apksig.util.DataSources;
 
-import org.conscrypt.OpenSSLProvider;
-
 import java.io.BufferedReader;
 import java.io.File;
 import java.io.IOException;
@@ -80,7 +78,6 @@ public class ApkSignerTool {
             return;
         }
 
-        addProviders();
 
         String cmd = params[0];
         try {
@@ -113,18 +110,6 @@ public class ApkSignerTool {
         }
     }
 
-    /**
-     * Adds additional security providers to add support for signature algorithms not covered by
-     * the default providers.
-     */
-    private static void addProviders() {
-        try {
-            Security.addProvider(new OpenSSLProvider());
-        } catch (UnsatisfiedLinkError e) {
-            // This is expected if the library path does not include the native conscrypt library;
-            // the default providers support all but PSS algorithms.
-        }
-    }
 
     private static void sign(String[] params) throws Exception {
         if (params.length == 0) {
